Package uk.ac.starlink.pal

## Class AOParams

- java.lang.Object
- - uk.ac.starlink.pal.AOParams

-     public class AOParams
      extends java.lang.Object

  Star-independent apparent-to-observed Parameters

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AOParams()` | Initialise apparent-to-observed Parameters (with zero values)
    `AOParams​(double glat, double mag, double ht, double temp, double pres, double humid, double wavel, double lapse, double ra, double rb, double longr, double loc)` | Star-independent apparent-to-observed Parameters

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getDabb()` | Get magnitude of diurnal aberration vector
    `double` | `getHeight()` | Get height
    `double` | `getHumidity()` | Get relative humidity
    `double` | `getLapserate()` | Get lapse rate
    `double` | `getLat()` | Get Geodetic latitude
    `double` | `getLatcos()` | Get cosine of Geodetic latitude
    `double` | `getLatsin()` | Get sine of Geodetic latitude
    `double` | `getLocalTime()` | Get local apparent sidereal time
    `double` | `getLongplus()` | Get longitude + eqn of equinoxes + "sidereal ΔUT"
    `double` | `getPressure()` | Get pressure
    `double` | `getRefractA()` | Get refractive index A
    `double` | `getRefractB()` | Get refractive index B
    `double` | `getTemp()` | Get ambient temperature
    `double` | `getWavelength()` | Get wavelength
    `void` | `setDabb​(double dabb)` | Set magnitude of diurnal aberration vector
    `void` | `setHeight​(double h)` | Set height
    `void` | `setHumidity​(double rh)` | Set relative humidity
    `void` | `setLapserate​(double lr)` | Set lapse rate
    `void` | `setLat​(double g)` | Set geodetic latitude
    `void` | `setLocalTime​(double lt)` | Set local apparent sidereal time
    `void` | `setLongplus​(double lplus)` | Set longitude + eqn of equinoxes + "sidereal ΔUT"
    `void` | `setPressure​(double p)` | Set Pressure
    `void` | `setRefractA​(double rfa)` | Set refractive index A
    `void` | `setRefractB​(double rfb)` | Set refractive index B
    `void` | `setTemp​(double a)` | Set ambient temperature
    `void` | `setWavelength​(double wl)` | Set wavelength
    `java.lang.String` | `toString()` | Get the parameters as a String

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AOParams

          public AOParams()

      Initialise apparent-to-observed Parameters (with zero values)

    - #### AOParams

          public AOParams​(double glat,
                          double mag,
                          double ht,
                          double temp,
                          double pres,
                          double humid,
                          double wavel,
                          double lapse,
                          double ra,
                          double rb,
                          double longr,
                          double loc)

      Star-independent apparent-to-observed Parameters
      Parameters:
        `glat` - Geodetic latitude (radians)
        `mag` - Magnetude of diurnal aberration vector
        `ht` - Height (metres above sea level)
        `temp` - Ambient temperature (degrees K)
        `pres` - Pressure (millibars)
        `humid` - Relative humidity (0-1)
        `wavel` - Wavelength (μm)
        `lapse` - Lapse rate (degrees K per metre)
        `ra` - Refraction constant A (radians)
        `rb` - Refraction constant B (radians)
        `longr` - Longitude + eqn of equinoxes + "sidereal ΔUT"
        `loc` - Local apparent sidereal time (radians)

  - ### Method Detail

    - #### getLat

          public double getLat()

      Get Geodetic latitude
      Returns:
        Geodetic latitude (radians)

    - #### getLatsin

          public double getLatsin()

      Get sine of Geodetic latitude
      Returns:
        Sine of Geodetic latitude

    - #### getLatcos

          public double getLatcos()

      Get cosine of Geodetic latitude
      Returns:
        Cosine of Geodetic latitude

    - #### getHeight

          public double getHeight()

      Get height
      Returns:
        Height

    - #### getDabb

          public double getDabb()

      Get magnitude of diurnal aberration vector
      Returns:
        Magnitude of diurnal aberration vector

    - #### getTemp

          public double getTemp()

      Get ambient temperature
      Returns:
        Ambient temperature

    - #### getPressure

          public double getPressure()

      Get pressure
      Returns:
        Pressure

    - #### getHumidity

          public double getHumidity()

      Get relative humidity
      Returns:
        Relative humidity

    - #### getWavelength

          public double getWavelength()

      Get wavelength
      Returns:
        Wavelength

    - #### getLapserate

          public double getLapserate()

      Get lapse rate
      Returns:
        Lapse rate

    - #### getRefractA

          public double getRefractA()

      Get refractive index A
      Returns:
        Refractive index A

    - #### getRefractB

          public double getRefractB()

      Get refractive index B
      Returns:
        Refractive index B

    - #### getLongplus

          public double getLongplus()

      Get longitude + eqn of equinoxes + "sidereal ΔUT"
      Returns:
        Longitude + eqn of equinoxes + "sidereal ΔUT"

    - #### getLocalTime

          public double getLocalTime()

      Get local apparent sidereal time
      Returns:
        Local apparent sidereal time (radians)

    - #### setLat

          public void setLat​(double g)

      Set geodetic latitude
      Parameters:
        `g` - Geodetic latitude (radians)

    - #### setDabb

          public void setDabb​(double dabb)

      Set magnitude of diurnal aberration vector
      Parameters:
        `dabb` - Magnitude of diurnal aberration vector

    - #### setHeight

          public void setHeight​(double h)

      Set height
      Parameters:
        `h` - Height

    - #### setTemp

          public void setTemp​(double a)

      Set ambient temperature
      Parameters:
        `a` - Ambient temperature

    - #### setPressure

          public void setPressure​(double p)

      Set Pressure
      Parameters:
        `p` - Pressure

    - #### setHumidity

          public void setHumidity​(double rh)

      Set relative humidity
      Parameters:
        `rh` - Relative humidity

    - #### setWavelength

          public void setWavelength​(double wl)

      Set wavelength
      Parameters:
        `wl` - Wavelength

    - #### setLapserate

          public void setLapserate​(double lr)

      Set lapse rate
      Parameters:
        `lr` - Lapse rate

    - #### setRefractA

          public void setRefractA​(double rfa)

      Set refractive index A
      Parameters:
        `rfa` - Refractive index A

    - #### setRefractB

          public void setRefractB​(double rfb)

      Set refractive index B
      Parameters:
        `rfb` - Refractive index B

    - #### setLongplus

          public void setLongplus​(double lplus)

      Set longitude + eqn of equinoxes + "sidereal ΔUT"
      Parameters:
        `lplus` - Longitude + eqn of equinoxes + "sidereal ΔUT"

    - #### setLocalTime

          public void setLocalTime​(double lt)

      Set local apparent sidereal time
      Parameters:
        `lt` - Local apparent sidereal time (radians)

    - #### toString

          public java.lang.String toString()

      Get the parameters as a String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Parameter string